'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _utils = require('../../utils');

var _TextWidget = require('../widgets/TextWidget');

var _TextWidget2 = _interopRequireDefault(_TextWidget);

var _SelectWidget = require('../widgets/SelectWidget');

var _SelectWidget2 = _interopRequireDefault(_SelectWidget);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function StringField(props) {
  var schema = props.schema,
      name = props.name,
      uiSchema = props.uiSchema,
      idSchema = props.idSchema,
      formData = props.formData,
      registry = props.registry,
      required = props.required,
      disabled = props.disabled,
      readonly = props.readonly,
      onChange = props.onChange;
  var title = schema.title;
  var widgets = registry.widgets,
      formContext = registry.formContext;

  var widget = uiSchema['ui:widget'] || schema.format;
  var placeholder = uiSchema['ui:placeholder'] || '';
  var commonProps = {
    schema: schema,
    id: idSchema && idSchema.$id,
    label: title || name,
    value: (0, _utils.defaultFieldValue)(formData, schema),
    onChange: onChange,
    required: required,
    disabled: disabled,
    readonly: readonly,
    formContext: formContext
  };
  if (Array.isArray(schema.enum)) {
    var enumOptions = (0, _utils.optionsList)(schema);
    if (widget) {
      var Widget = (0, _utils.getAlternativeWidget)(schema, widget, widgets, {
        enumOptions: enumOptions
      });
      return _react2.default.createElement(Widget, commonProps);
    }
    return _react2.default.createElement(_SelectWidget2.default, _extends({ options: { enumOptions: enumOptions } }, commonProps));
  }
  if (widget) {
    var _Widget = (0, _utils.getAlternativeWidget)(schema, widget, widgets);
    return _react2.default.createElement(_Widget, _extends({}, commonProps, { placeholder: placeholder }));
  }
  return _react2.default.createElement(_TextWidget2.default, _extends({}, commonProps, { placeholder: placeholder }));
}

StringField.defaultProps = {
  uiSchema: {},
  registry: (0, _utils.getDefaultRegistry)(),
  disabled: false,
  readonly: false
};

exports.default = StringField;