'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function TextWidget(_ref) {
  var schema = _ref.schema,
      id = _ref.id,
      placeholder = _ref.placeholder,
      value = _ref.value,
      required = _ref.required,
      disabled = _ref.disabled,
      readonly = _ref.readonly,
      _onChange = _ref.onChange;

  return _react2.default.createElement('textarea', {
    id: id,
    className: 'form-control',
    value: typeof value === 'undefined' ? '' : value,
    placeholder: placeholder,
    required: required,
    disabled: disabled,
    readOnly: readonly,
    onChange: function onChange(event) {
      return _onChange(event.target.value);
    }
  });
}

exports.default = TextWidget;